2018-05-26 16:55 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002340FSSCPgraphicspublic2015-02-22 18:04
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version 
Summary0002340: Texture replacment with invisible no longer working
DescriptionWell it does but only if you actually place an invisible.dds (other formats probably work as well) in the maps directory. Without it you get warnings and the default texture loaded. This used to work as I have old screen shots still using the same steps.

As invisible is a special case even looking for the file has to be a bug.
TagsNo tags attached.
Attached Files

-Relationships
duplicate of 0001929resolvedMageKing17 Texture replacement more problems 
+Relationships

-Notes

~0014440

MjnMixael (manager)

Seems this might have been a feature/bug that has been removed. Texture replacing 'invisible' in FRED is no longer allowed. As in, 'invisible' is not an option anymore.

~0014448

Goober5000 (administrator)

When was it ever an option? I looked through the commit history of that FRED file and it doesn't look like it made special accommodations for the invisible texture.

Now such accommodations shouldn't be too hard to add, but that's a little harder than finding and reverting an old commit. >.>

~0014450

FUBAR-BDHR (developer)

It may have just worked because error checking for texture files existing might not have existed so it just changed to invisible.

~0014466

Goober5000 (administrator)

FRED will now let you save invisible textures without complaint. However FSO will not actually replace it with the invisible texture due to that same file load issue.

~0014497

Goober5000 (administrator)

Completely fixed in r9444.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2010-11-18 17:18 FUBAR-BDHR New Issue
2012-12-13 18:06 MjnMixael Note Added: 0014440
2012-12-14 01:56 Goober5000 Note Added: 0014448
2012-12-14 01:56 Goober5000 Assigned To => Goober5000
2012-12-14 01:56 Goober5000 Status new => assigned
2012-12-14 02:34 FUBAR-BDHR Note Added: 0014450
2012-12-14 23:10 Goober5000 Changeset attached => fs2open trunk r9434
2012-12-14 23:11 Goober5000 Note Added: 0014466
2012-12-17 02:28 Goober5000 Changeset attached => fs2open trunk r9444
2012-12-17 02:28 Goober5000 Note Added: 0014497
2012-12-17 02:28 Goober5000 Status assigned => resolved
2012-12-17 02:28 Goober5000 Resolution open => fixed
2015-02-22 18:04 MageKing17 Relationship added duplicate of 0001929
+Issue History